Loading ...
Sorry, an error occurred while loading the content.

Re: [pcgen] Re: Bug Report

Expand Messages
  • Lonestar
    Hi Bryan! ... mmn He should add a new spellbook (type a name in the Spells tab and hit mmn the Add button) and then place the spells he uses into it. Thats
    Message 1 of 15 , Apr 1, 2001
    • 0 Attachment
      Hi Bryan!

      Sunday, April 01, 2001, 8:42:28 PM, you wrote:

      >> If you remove spells from a clerics known spells list you can't add
      >> them anymore.
      >> (background info: one of my players wants to make a "spellbook" for
      >> his cleric with the spells he usually uses.)

      mmn> He should add a new spellbook (type a name in the Spells tab and hit
      mmn> the "Add" button) and then place the spells he uses into it.

      Thats not what I intended. The additional spellbooks are for
      memorizing. He wants a selection of cleric spells he regularly uses to
      choose from for memorizing. The only way I see to make such a list in
      PCGen is removing those spells he doesn't want to use from the known
      list. Ok, you could ask why someone would want to limit their choice
      of spells, but the player I'm talking about is a powergamer. He worked
      out a spell list he's going to use and won't memorize any other
      spells, so he doesn't want those spells he won't use to appear on his
      charsheet.


      Lonestar mailto:Lonestar@...
    • mocha@mcs.net
      ... and hit ... Oh - it is generally assumed that divine spellcasters will know all spells, so if you do remove one it can t be added back - though I think if
      Message 2 of 15 , Apr 1, 2001
      • 0 Attachment
        --- In pcgen@y..., Lonestar <Lonestar@l...> wrote:
        > Hi Bryan!
        >
        > Sunday, April 01, 2001, 8:42:28 PM, you wrote:
        >
        > >> If you remove spells from a clerics known spells list you can't add
        > >> them anymore.
        > >> (background info: one of my players wants to make a "spellbook" for
        > >> his cleric with the spells he usually uses.)
        >
        > mmn> He should add a new spellbook (type a name in the Spells tab
        and hit
        > mmn> the "Add" button) and then place the spells he uses into it.
        >
        > Thats not what I intended. The additional spellbooks are for
        > memorizing. He wants a selection of cleric spells he regularly uses to
        > choose from for memorizing. The only way I see to make such a list in
        > PCGen is removing those spells he doesn't want to use from the known
        > list. Ok, you could ask why someone would want to limit their choice
        > of spells, but the player I'm talking about is a powergamer. He worked
        > out a spell list he's going to use and won't memorize any other
        > spells, so he doesn't want those spells he won't use to appear on his
        > charsheet.

        Oh - it is generally assumed that divine spellcasters will know all
        spells, so if you do remove one it can't be added back - though I
        think if you close that character and import it again, the list would
        be regenerated - same when the character advances a level as a cleric.
        Limiting spells on purpose would be a bit dicey - suppose you buy a
        book with new cleric spells in it and want clerics in your campaign to
        have access to those spells. When you look at your character I assume
        you want to see all spells that are accessible to your character, so I
        regenerate the list of Known Spells. If he *really* wants to limit his
        choices, you could copy the cleric info from phbclass.lst,
        phbclassskill.lst and phbclassspell.lst and create a new class "Power
        Cleric". Then in your new classspell.lst file you could restrict the
        "Power Cleric" spell selection to only the spells he wants access to.
        In the PCG file wherever you see Cleric replace it with Power Cleric,
        and you should be ready to go. (make a copy of the pcg file just in
        case...)

        -Bryan

        >
        >
        > Lonestar mailto:Lonestar@l...
      • wolbatx
        I have a whole party of characters that were built under PCGEN 2.7.0 when I try to load them with the current version I get all sorts of flakiness and errors,
        Message 3 of 15 , Aug 6, 2002
        • 0 Attachment
          I have a whole party of characters that were built under PCGEN 2.7.0
          when I try to load them with the current version I get all sorts of
          flakiness and errors, up to them sometmes not loading at all. When I
          reinstalled 2.7.0, they worked fine again. Is there ANY way to
          update the characters so the current version will accept them with no
          headaches?
        • merton_monk
          ... 2.7.0 ... I ... no ... Hm - the only changes I can think of that might affect them is related to spellcaters, but that should only be a problem if they
          Message 4 of 15 , Aug 6, 2002
          • 0 Attachment
            --- In pcgen@y..., "wolbatx" <wolfbat@s...> wrote:
            > I have a whole party of characters that were built under PCGEN
            2.7.0
            > when I try to load them with the current version I get all sorts of
            > flakiness and errors, up to them sometmes not loading at all. When
            I
            > reinstalled 2.7.0, they worked fine again. Is there ANY way to
            > update the characters so the current version will accept them with
            no
            > headaches?

            Hm - the only changes I can think of that might affect them is
            related to spellcaters, but that should only be a problem if they
            were created before version 2.5.4. Can you upload one of them to the
            Needs Help With folder or at least specify what kinds of messages
            you're seeing?

            -Bryan
          • Martin Brabander
            ... Is it just a mass of non-supported sources in 3.0.0? Martin
            Message 5 of 15 , Aug 6, 2002
            • 0 Attachment
              merton_monk wrote:

              > --- In pcgen@y..., "wolbatx" <wolfbat@s...> wrote:
              > > I have a whole party of characters that were built under PCGEN
              > 2.7.0
              > > when I try to load them with the current version I get all sorts of
              > > flakiness and errors, up to them sometmes not loading at all. When
              > I
              > > reinstalled 2.7.0, they worked fine again. Is there ANY way to
              > > update the characters so the current version will accept them with
              > no
              > > headaches?
              >
              > Hm - the only changes I can think of that might affect them is
              > related to spellcaters, but that should only be a problem if they
              > were created before version 2.5.4. Can you upload one of them to the
              > Needs Help With folder or at least specify what kinds of messages
              > you're seeing?
              >
              > -Bryan
              >

              Is it just a mass of non-supported sources in 3.0.0?

              Martin
            Your message has been successfully submitted and would be delivered to recipients shortly.